%define _with_repolib 1

%define version_maj 3
%define version_min 2
%define version_rev 0
%define version_tag GA
%define version_full %{version_maj}.%{version_min}.%{version_rev}.%{version_tag}

%define _with_repolib 1

# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'
%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define repodir %{_javadir}/repository.jboss.com/jbpm/jpdl/3.2.GA
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

 
Summary:        BPM and workflow engine in Java
Name:           jboss-jbpm-jpdl
Version:        %{version_maj}.%{version_min}.%{version_rev}
Release:        0jpp.ep1.4%{?dist}
Epoch:          0
License:        LGPL
Group:          Development/Java
URL:            http://jbpm.org

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Source0:        %{name}-%{version_full}-tp.tar.gz
Source1:        %{name}-%{version_full}-component-info.xml


%description
BPM and workflow engine in Java


%if %{with_repolib}
%package	 repolib
Summary:	 Artifacts to be uploaded to a repository library
Group:	Development/Libraries/Java

%description	 repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif

%prep
%setup -c %{name} 

tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE1}

%build
#Do Nothing here

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -p -m 0644 jbpm-console.war $RPM_BUILD_ROOT%{_javadir}/%{name}/
install -p -m 0644 jbpm-enterprise.ear $RPM_BUILD_ROOT%{_javadir}/%{name}/
install -p -m 0644 jbpm-identity.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/
install -p -m 0644 jbpm-jmx.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/
install -p -m 0644 jbpm-jpdl-config.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/
install -p -m 0644 jbpm-jpdl-db.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/
install -p -m 0644 jbpm-jpdl-examples.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/
install -p -m 0644 jbpm-jpdl-examplesdb.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/
install -p -m 0644 jbpm-jpdl.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/


%if %{with_repolib}
	install -d -m 755 $RPM_BUILD_ROOT%{repodir}
	install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
	install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{repodir}/component-info.xml
	install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
	install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
	cp * $RPM_BUILD_ROOT%{repodirlib}
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}


%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{repodir}
%endif

%changelog
* Thu Nov 22 2007 Fernando Nasser <fnasser@redhat.com> 0:3.2.0.GA-0jpp.ep1.4
- More repodir fixes

* Wed Nov 21 2007 Fernando Nasser <fnasser@redhat.com> 0:3.2.0.GA-0jpp.ep1.3
- More repodir fixes

* Wed Nov 21 2007 Fernando Nasser <fnasser@redhat.com> 0:3.2.0.GA-0jpp.ep1.2
- Change repodir to match original, which misses the version_rev

* Wed Nov 14 2007 Clive Saldanha <csaldanh@redhat.com> 0:3.2.0.GA-0jpp.ep1.1
- First release.
